package com.house365.beans.entity;

import com.house365.beans.system.DomainObject;

import java.util.Date;

/**
 * @author
 * Created by Administrator on 2018/11/19.
 */
public class YxMessageEntity extends DomainObject {

    private static final long serialVersionUID = 1L;

    private String eventType;

    private String convType;

    private String info;//原表为to字段

    private String fromAccount;

    private String fromClientType;

    private String fromDeviceId;

    private String fromNick;

    private long msgTimestamp; //消息发送时间

    private String msgType;

    private String body;

    private String attach;

    private String msgidClient;

    private long msgidServer;

    private int resendFlag;

    private int customSafeFlag;

    private String customApnsText;

    private String tMembers;

    private String ext;

    private String antispam;

    private String yidunRes;

    private int relateId;

    private Date createTime;

    public String getEventType() {
        return eventType;
    }

    public void setEventType(String eventType) {
        this.eventType = eventType;
    }

    public String getConvType() {
        return convType;
    }

    public void setConvType(String convType) {
        this.convType = convType;
    }

    public String getInfo() {
        return info;
    }

    public void setInfo(String info) {
        this.info = info;
    }

    public String getFromAccount() {
        return fromAccount;
    }

    public void setFromAccount(String fromAccount) {
        this.fromAccount = fromAccount;
    }

    public String getFromClientType() {
        return fromClientType;
    }

    public void setFromClientType(String fromClientType) {
        this.fromClientType = fromClientType;
    }

    public String getFromDeviceId() {
        return fromDeviceId;
    }

    public void setFromDeviceId(String fromDeviceId) {
        this.fromDeviceId = fromDeviceId;
    }

    public String getFromNick() {
        return fromNick;
    }

    public void setFromNick(String fromNick) {
        this.fromNick = fromNick;
    }

    public long getMsgTimestamp() {
        return msgTimestamp;
    }

    public void setMsgTimestamp(long msgTimestamp) {
        this.msgTimestamp = msgTimestamp;
    }

    public String getMsgType() {
        return msgType;
    }

    public void setMsgType(String msgType) {
        this.msgType = msgType;
    }

    public String getBody() {
        return body;
    }

    public void setBody(String body) {
        this.body = body;
    }

    public String getAttach() {
        return attach;
    }

    public void setAttach(String attach) {
        this.attach = attach;
    }

    public String getMsgidClient() {
        return msgidClient;
    }

    public void setMsgidClient(String msgidClient) {
        this.msgidClient = msgidClient;
    }

    public long getMsgidServer() {
        return msgidServer;
    }

    public void setMsgidServer(long msgidServer) {
        this.msgidServer = msgidServer;
    }

    public int getResendFlag() {
        return resendFlag;
    }

    public void setResendFlag(int resendFlag) {
        this.resendFlag = resendFlag;
    }

    public int getCustomSafeFlag() {
        return customSafeFlag;
    }

    public void setCustomSafeFlag(int customSafeFlag) {
        this.customSafeFlag = customSafeFlag;
    }

    public String getCustomApnsText() {
        return customApnsText;
    }

    public void setCustomApnsText(String customApnsText) {
        this.customApnsText = customApnsText;
    }

    public String gettMembers() {
        return tMembers;
    }

    public void settMembers(String tMembers) {
        this.tMembers = tMembers;
    }

    public String getExt() {
        return ext;
    }

    public void setExt(String ext) {
        this.ext = ext;
    }

    public String getAntispam() {
        return antispam;
    }

    public void setAntispam(String antispam) {
        this.antispam = antispam;
    }

    public String getYidunRes() {
        return yidunRes;
    }

    public void setYidunRes(String yidunRes) {
        this.yidunRes = yidunRes;
    }

    public int getRelateId() {
        return relateId;
    }

    public void setRelateId(int relateId) {
        this.relateId = relateId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
